Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(79)

Side by Side Diff: src/scripts/build_platform_packages.sh

Issue 518004: Make more build scripts barf when run as root. (Closed)
Patch Set: Created 11 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « src/scripts/build_image.sh ('k') | src/scripts/build_tests.sh » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 2
3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. 3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be 4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file. 5 # found in the LICENSE file.
6 6
7 # Load common constants. This should be the first executable line. 7 # Load common constants. This should be the first executable line.
8 # The path to common.sh should be relative to your script's location. 8 # The path to common.sh should be relative to your script's location.
9 . "$(dirname "$0")/common.sh" 9 . "$(dirname "$0")/common.sh"
10 10
11 # Script must be run inside the chroot
12 assert_inside_chroot 11 assert_inside_chroot
12 assert_not_root_user
13 13
14 # Flags 14 # Flags
15 DEFINE_boolean stable $FLAGS_FALSE "Build with stable version of browser." 15 DEFINE_boolean stable $FLAGS_FALSE "Build with stable version of browser."
16 16
17 # Parse command line 17 # Parse command line
18 FLAGS "$@" || exit 1 18 FLAGS "$@" || exit 1
19 eval set -- "${FLAGS_ARGV}" 19 eval set -- "${FLAGS_ARGV}"
20 20
21 # Die on error 21 # Die on error
22 set -e 22 set -e
(...skipping 47 matching lines...) Expand 10 before | Expand all | Expand 10 after
70 # Build platform packages 70 # Build platform packages
71 for i in $PLATFORM_DIRS 71 for i in $PLATFORM_DIRS
72 do 72 do
73 echo "Building package ${i}..." 73 echo "Building package ${i}..."
74 cd "$PLATFORM_DIR/$i" 74 cd "$PLATFORM_DIR/$i"
75 ./make_pkg.sh 75 ./make_pkg.sh
76 cd - 76 cd -
77 done 77 done
78 78
79 echo "All packages built." 79 echo "All packages built."
OLDNEW
« no previous file with comments | « src/scripts/build_image.sh ('k') | src/scripts/build_tests.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698